<?php
/*
 * @package Joomla 2.5
 * @copyright Copyright (C) 2005 Open Source Matters. All rights reserved.
 * @license GNU/GPL v2 http://www.gnu.org/licenses/gpl-2.0.html, see LICENSE.php
 *
 * @module OpenSim Gridstatus
 * @copyright Copyright (C) 2012 FoTo50 http://www.jopensim.com
 * @license GNU/GPL v2 http://www.gnu.org/licenses/gpl-2.0.html
 */
//no direct access
defined('_JEXEC') or die('Direct Access to this location is not allowed.');

// include the opensim class if present
define("_OPENSIMCLASS_GS",JPATH_BASE.DS."components".DS."com_opensim".DS."includes".DS."opensim.class.php");
if(is_file(_OPENSIMCLASS_GS)) { // the opensim component is installed, get all values from there
	include_once(_OPENSIMCLASS_GS);
	define("_OPENSIMCOMPONENT",TRUE);
} else { // opensim component is not installed, get the values from the module parameters
	require_once(dirname(__FILE__).DS.'opensim.minclass.php');
	define("_OPENSIMCOMPONENT",FALSE);
}

// include the helper file
require_once(dirname(__FILE__).DS.'helper.php');
 
// get the connection parameters from the module (if present)
$connect = array();
if($params->get('osgriddbhost'))   $connect['osgriddbhost']   = $params->get('osgriddbhost');
if($params->get('osgriddbuser'))   $connect['osgriddbuser']   = $params->get('osgriddbuser');
if($params->get('osgriddbpasswd')) $connect['osgriddbpasswd'] = $params->get('osgriddbpasswd');
if($params->get('osgriddbname'))   $connect['osgriddbname']   = $params->get('osgriddbname');
if($params->get('osgriddbport'))   $connect['osgriddbport']   = $params->get('osgriddbport');

// get the rest parameters from the module's configuration
$parameter['lastDays']			= $params->get('lastDays');
$parameter['offlinecolor']		= $params->get('offlinecolor');
$parameter['onlinecolor']		= $params->get('onlinecolor');
$parameter['gridstatus']		= $params->get('gridstatus');
$parameter['showgridstatus']	= $params->get('showgridstatus');
$parameter['showregions']		= $params->get('showregions');
$parameter['showlastvisitors']	= $params->get('showlastvisitors');
$parameter['showonline']		= $params->get('showonline');
$parameter['hiddenregions']		= $params->get('hiddenregions');

$gridstatus = new ModOpenSimHelper($connect,$parameter);

$pageclass = $params->get('moduleclass_sfx');

// get the values to display from the helper
$values = $gridstatus->getStatus();


// Module display parameters override component
if($parameter['showgridstatus'] == "0") {
	$test['showgridstatus'] = 0;
	if(($values['gridboxlines'] & 1) == 1) $values['gridboxlines'] -= 1;
} else {
	$test['showgridstatus'] = 1;
	$values['gridboxlines'] |= 1;
}
if($parameter['showregions'] == "0") {
	$test['showregions'] = 0;
	if(($values['gridboxlines'] & 2) == 2) $values['gridboxlines'] -= 2;
} else {
	$test['showregions'] = 1;
	$values['gridboxlines'] |= 2;
}
if($parameter['showlastvisitors'] == "0") {
	$test['showlastvisitors'] = 0;
	if(($values['gridboxlines'] & 4) == 4) $values['gridboxlines'] -= 4;
} else {
	$test['showlastvisitors'] = 1;
	$values['gridboxlines'] |= 4;
}
if($parameter['showonline'] == "0") {
	$test['showonline'] = 0;
	if(($values['gridboxlines'] & 8) == 8) $values['gridboxlines'] -= 8;
} else {
	$test['showonline'] = 1;
	$values['gridboxlines'] |= 8;
}
$values['test'] = $test;
$values['parameter'] = $parameter;

if(!isset($values['gridboxlines'])) $values['gridboxlines'] = 0;

// include the template for display
require(JModuleHelper::getLayoutPath('mod_opensim_gridstatus'));
?>
